/* msx-emul is (C) 2008-2009 by folkert@vanheusden.com
 * released under GPL
 */
static char *rcsId = "$Id: gen.c,v 1.4 2009/02/18 14:16:50 folkert Exp folkert $";

#include <sys/time.h>
#include <time.h>
#include <string.h>
#include <stdlib.h>

#include "error.h"

double get_ts(void)
{
	struct timeval ts;

	if (gettimeofday(&ts, NULL) == -1)
		error_exit("gettimeofday failed");

	return (((double)ts.tv_sec) + ((double)ts.tv_usec)/1000000.0);
}

void split(char *in, char ***out)
{
	char *colon;
	int n = 0;

	do
	{
		colon = strchr(in, ':');
		if (colon)
			*colon = 0x00;

		*out = (char **)realloc(*out, sizeof(char *) * (n + 1));
		(*out)[n++] = in;

		in = colon + 1;
	}
	while (colon);
}
